ViennaCL - The Vienna Computing Library: viennacl::scalar_expression< LHS, RHS, op_norm_2 > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::scalar_expression< LHS, RHS, op_norm_2 > Class Template Reference

Specialization of a scalar expression for norm_2. Allows for a final reduction on the CPU. More...

`#include <scalar.hpp>`

## Public Types
typedef viennacl::result_of::cpu_value_type < LHS >::type | ScalarType

## Public Member Functions
| scalar_expression (LHS &lhs, RHS &rhs)
LHS & | lhs () const
| Returns the left hand side operand. More...
RHS & | rhs () const
| Returns the left hand side operand. More...
| operator ScalarType () const
| Conversion operator to a ViennaCL scalar. More...

## Detailed Description

### template<typename LHS, typename RHS>
class viennacl::scalar_expression< LHS, RHS, op_norm_2 >

Specialization of a scalar expression for norm_2. Allows for a final reduction on the CPU.

Template Parameters

  LHS | The left hand side operand
  RHS | The right hand side operand

Definition at line 147 of file scalar.hpp.

## Member Typedef Documentation

template<typename LHS , typename RHS >

typedef viennacl::result_of::cpu_value_type<LHS>::type viennacl::scalar_expression< LHS, RHS, op_norm_2 >::ScalarType

Definition at line 151 of file scalar.hpp.

## Constructor & Destructor Documentation

template<typename LHS , typename RHS >

viennacl::scalar_expression< LHS, RHS, op_norm_2 >::scalar_expression | ( | LHS & | lhs,
|  | RHS & | rhs
| ) |  |
| inline

Definition at line 153 of file scalar.hpp.

## Member Function Documentation

template<typename LHS , typename RHS >

LHS& viennacl::scalar_expression< LHS, RHS, op_norm_2 >::lhs | ( |  | ) | const
| inline

Returns the left hand side operand.

Definition at line 156 of file scalar.hpp.

template<typename LHS , typename RHS >

viennacl::scalar_expression< LHS, RHS, op_norm_2 >::operator ScalarType | ( |  | ) | const
| inline

Conversion operator to a ViennaCL scalar.

Definition at line 161 of file scalar.hpp.

template<typename LHS , typename RHS >

RHS& viennacl::scalar_expression< LHS, RHS, op_norm_2 >::rhs | ( |  | ) | const
| inline

Returns the left hand side operand.

Definition at line 158 of file scalar.hpp.

The documentation for this class was generated from the following file:

- viennacl/scalar.hpp